MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026082Community[OCCT] OCCT:Visualizationpublic2015-04-15 14:532015-10-23 20:51
ReporterTimo 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026082: When view is resized horizontally the viusaliziation is not scaled
DescriptionWhen a view is resized in horizontal direction, the visible objects ARE NOT scaled. When it is resized in vertical direction, the objects ARE scaled.

In OCC 6.7.1 the objects were scaled in both cases. I think this behaviour was correct.

I didn't check current master.
Steps To Reproducebugs/vis/bug26082

- Open Viewer3d Sample
- Click on "Sphere" button to show a sphere
- Click on "FitAll" button
- Resize the window in vertical direction
=> Sphere is scaled
- Resize the window in horizontal direction
=> Sphere is NOT scaled. It remains the same size.

Additional information
and documentation updates
List of changes:

1) Methods computing camera's view volume depending on the view size and aspect has been reviewed and corrected. These are:
- Graphic3d_Camera::UpdateProjection()
- V3d_View::Scale
- V3d_View::FitMinMax
Now these methods behave properly when window's width is less than height.

2) Test case added: bugs/vis/bug26082
TagsNo tags attached.
Test case numberbugs vis bug26082
Attached Filespng file icon occ671.png (43,954 bytes) 2015-04-15 14:53
png file icon occ680.png (70,098 bytes) 2015-04-15 14:53

- Relationships
related to 0026357closedbugmaster Visualization - Panning zooms view if aspect ratio > 1 

-  Notes
(0039793)
kgv (developer)
2015-04-15 16:45

The bug description is slightly unclear - up to 6.7.1 the viewer scales content proportionally when changing size of smaller viewport dimension (e.g. when width < height -> resizing height will not affect scale, resizing width would scale content). In current version this is not tracked and only window height always scales content.
(0041274)
git (administrator)
2015-05-19 14:02

Branch CR26082 has been created by apl.

SHA-1: 25700fdaf7b0ce381032817f2b9a50864c26fdce


Detailed log of new commits:

Author: apl
Date: Tue May 19 14:02:10 2015 +0300

    0026082: When view is resized horizontally the viusaliziation is not scaled
(0041275)
apl (developer)
2015-05-19 14:03

Dear Kirill,

Please review CR26082.
(0041276)
git (administrator)
2015-05-19 14:19

Branch CR26082 has been updated forcibly by apl.

SHA-1: 03fa7c28801fb042e591c27889297898f971d527
(0041277)
kgv (developer)
2015-05-19 14:24

Please test the patch.
(0041310)
mkv (tester)
2015-05-20 14:22

Dear BugMaster,
Branch CR26082 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 03fa7c28801fb042e591c27889297898f971d527

Number of compiler warnings:

occt component :
Linux: 25
Windows: 0 (0 on master)

products component :
Linux: 37
Windows: 0 (0 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR26082-master-occt-64/Debian70-64/bugs/vis/bug26082.html [^]
http://occt-tests/CR26082-master-occt-64/Windows-64-VC10/bugs/vis/bug26082.html [^]
bugs vis bug26082: OK

Testing on Linux:
occt component :
Total MEMORY difference: 99347153 / 99824954 [-0.48%]
Total CPU difference: 18811.74000000008 / 19272.830000000176 [-2.39%]
products component :
Total MEMORY difference: 24168936 / 24391409 [-0.91%]
Total CPU difference: 8012.970000000008 / 7582.950000000026 [+5.67%]

Testing on Windows:
occt component :
Total MEMORY difference: 59262284 / 59287109 [-0.04%]
Total CPU difference: 17063.919783398833 / 17001.86258559895 [+0.37%]
products component :
Total MEMORY difference: 15648759 / 15653430 [-0.03%]
Total CPU difference: 6602.757925099996 / 6567.907301699987 [+0.53%]

There are no differences in images found by testdiff.
(0041311)
mkv (tester)
2015-05-20 14:22

Dear apl,
could you please review following test case
bugs vis bug26082
(0041315)
mkv (tester)
2015-05-20 14:58

Dear BugMaster,
Branch CR26082 is OK.
(0043493)
git (administrator)
2015-07-27 13:34

Branch CR26082 has been deleted by kgv.

SHA-1: 03fa7c28801fb042e591c27889297898f971d527

- Related Changesets
occt: master ab1c121b
Timestamp: 2015-05-19 11:19:10
Author: apl
Committer: bugmaster
Details ] Diff ]
0026082: When view is resized horizontally the visualization is not scaled
mod - src/Graphic3d/Graphic3d_Camera.cxx Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]
add - tests/bugs/vis/bug26082 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-04-15 14:53 Timo New Issue
2015-04-15 14:53 Timo Assigned To => kgv
2015-04-15 14:53 Timo File Added: occ671.png
2015-04-15 14:53 Timo File Added: occ680.png
2015-04-15 14:54 Timo Description Updated View Revisions
2015-04-15 16:41 kgv Assigned To kgv => apl
2015-04-15 16:41 kgv Status new => assigned
2015-04-15 16:45 kgv Note Added: 0039793
2015-04-15 16:45 kgv Target Version 6.9.0 => 7.1.0
2015-05-19 14:02 git Note Added: 0041274
2015-05-19 14:03 apl Note Added: 0041275
2015-05-19 14:03 apl Assigned To apl => kgv
2015-05-19 14:03 apl Status assigned => resolved
2015-05-19 14:03 apl Steps to Reproduce Updated View Revisions
2015-05-19 14:19 git Note Added: 0041276
2015-05-19 14:24 kgv Note Added: 0041277
2015-05-19 14:24 kgv Assigned To kgv => bugmaster
2015-05-19 14:24 kgv Status resolved => reviewed
2015-05-19 17:59 mkv Assigned To bugmaster => mkv
2015-05-20 14:22 mkv Note Added: 0041310
2015-05-20 14:22 mkv Note Added: 0041311
2015-05-20 14:22 mkv Assigned To mkv => apl
2015-05-20 14:22 mkv Status reviewed => feedback
2015-05-20 14:22 mkv Test case number => bugs vis bug26082
2015-05-20 14:56 apl Assigned To apl => mkv
2015-05-20 14:56 apl Status feedback => reviewed
2015-05-20 14:58 mkv Note Added: 0041315
2015-05-20 14:58 mkv Assigned To mkv => bugmaster
2015-05-20 14:58 mkv Status reviewed => tested
2015-05-22 12:19 bugmaster Changeset attached => occt master ab1c121b
2015-05-22 12:19 bugmaster Status tested => verified
2015-05-22 12:19 bugmaster Resolution open => fixed
2015-05-29 14:19 bugmaster Target Version 7.1.0 => 7.0.0
2015-06-19 14:13 solomin_s Relationship added related to 0026357
2015-07-27 13:34 git Note Added: 0043493
2015-08-26 11:14 abv Target Version 7.0.0 => 6.9.1
2015-08-28 13:00 apl Additional Information Updated View Revisions
2015-10-16 14:56 user533 Status verified => closed
2015-10-23 20:51 user533 Fixed in Version => 6.9.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker